/*
 * Class C_DATE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_868 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_868 [] = {0xFF01,237,867,0xFFFF};
static const EIF_TYPE_INDEX egt_2_868 [] = {0xFF01,867,0xFFFF};
static const EIF_TYPE_INDEX egt_3_868 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_868 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_868 [] = {0xFF01,867,0xFFFF};
static const EIF_TYPE_INDEX egt_6_868 [] = {0xFF01,867,0xFFFF};
static const EIF_TYPE_INDEX egt_7_868 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_868 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_868 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_868 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_868 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_868 [] = {0xFF01,867,0xFFFF};
static const EIF_TYPE_INDEX egt_13_868 [] = {0xFF01,151,0xFFFF};


static const struct desc_info desc_868[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_868), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_868), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_868), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_868), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_868), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_868), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_868), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_868), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_868), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_868), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_868), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_868), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12686, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C7 /*867*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_868), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12687, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12688, 4},
	{EIF_GENERIC(NULL), 12689, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12690, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12691, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12692, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12693, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12694, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12695, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12696, 8},
	{EIF_GENERIC(NULL), 12697, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12698, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12699, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12700, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12701, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12702, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_868), 12703, 0},
	{EIF_NON_GENERIC(0x01AF /*215*/), 12704, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 12705, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12706, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12707, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12708, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12709, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12710, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 12711, 0xFFFFFFFF},
};
void Init868(void)
{
	IDSC(desc_868, 0, 867);
	IDSC(desc_868 + 1, 1, 867);
	IDSC(desc_868 + 32, 380, 867);
}


#ifdef __cplusplus
}
#endif
